QGIS 2.18.16 Freezes when clicking on start editing without a vector selected in TOC

2018-02-13 05:35 PM - Antonio Viscomi

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.16 Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 25989

Description

Hi All,

I noticed that if you click start editing, without having first selected a vector layer in the TOC, QGIS freezes for which you have to turn off

the program and restart it

History

#1 - 2018-02-13 08:21 PM - Antonio Viscomi

Antonio Viscomi wrote:

Hi All,

I noticed that if you click start editing, without having first selected a vector layer in the TOC, QGIS freezes for which you have to turn off the program

and restart it

Obviously the start editing icon is not gray, but in the TOC the selection of the layer is not displayed in this circumstance

#2 - 2018-02-14 11:29 AM - Antonio Viscomi

- File Editing.png added

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Hi All,

I noticed that if you click start editing, without having first selected a vector layer in the TOC, QGIS freezes for which you have to turn off the

program and restart it

Obviously the start editing icon is not gray, but in the TOC the selection of the layer is not displayed in this circumstance

This bug happens when the editing is deactivated from the table after the modification ... the selection in the GUI disappears but the icon remains active

I attach a screenshot in which it appear the start editing icon active without selection of any layer in TOC

#3 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback
Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-01-23 09:33 AM - Antonio Viscomi

Jürgen Fischer wrote:

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

this bug no longer appear on 3.4.4 then this ticket can be closed

cheers

#5 - 2019-01-23 11:00 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

Files

Editing.png 1.39 MB 2018-02-14 Antonio Viscomi
